Name:		monotone-viz
Version:	1.0.1
Release:	2%{?dist}

Summary:	GNOME application that visualizes Monotone ancestry graphs
Group:		Development/Tools
License:	GPLv2+

URL:		http://oandrieu.nerim.net/monotone-viz/
Source0:	%{url}/%{name}-%{version}-nolablgtk.tar.gz
Source1:	monotone-viz.desktop

BuildRequires:	ocaml
BuildRequires:	ocaml-camlp4-devel
BuildRequires:	ocaml-lablgtk-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
Requires:	monotone
Requires:	graphviz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Apparently necessary exclusion for ocaml packages.
ExcludeArch:	ppc64

%description
This is a small GNOME application to visualize Monotone ancestry graphs.


%prep
%setup -q


%build
%configure --without-local-lablgtk
make %{?_smp_mflags}

convert icon.ml %{name}.png

%{__cp} -f %{SOURCE1} %{name}.desktop

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%{__install} -m 644 -D -p %{name}.png \
	     $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png
desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
  		     --vendor="" \
  		     %{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_bindir}/monotone-viz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-2
- Autorebuild for GCC 4.3

* Mon Jan 21 2008 Roland McGrath <roland@redhat.com> - 1.0.1-1
- New package.
  - Thanks to Thomas Moschny <thomas.moschny@gmx.de> for .desktop file.
